import request from "/@/utils/request"

export function fetchList(query?: Object) {
  return request({
    url: '/knowledge/aiMaterialLog/page',
    method: 'get',
    params: query
  })
}

export function addObj(obj?: Object) {
  return request({
    url: '/knowledge/aiMaterialLog',
    method: 'post',
    data: obj
  })
}

export function getObj(id?: string) {
  return request({
    url: '/knowledge/aiMaterialLog/' + id,
    method: 'get'
  })
}

export function delObjs(ids?: Object) {
  return request({
    url: '/knowledge/aiMaterialLog',
    method: 'delete',
    data: ids
  })
}

export function putObj(obj?: Object) {
  return request({
    url: '/knowledge/aiMaterialLog',
    method: 'put',
    data: obj
  })
}

